MongoDB::execute
MongoDB::__get
MongoDB
PHP Manual

# MongoDB::forceError

Creates a database error

### Description

public bool MongoDB::forceError ( void )

This method is not very useful for normal MongoDB use. It forces a database error to occur. This means that MongoDB::lastError will return a generic database error after running this command.

This command is identical to running:

`<?php
public function forceError() {
return $this->command(array('forceerror' => 1));
}
?>`

### Parameters

This function has no parameters.

### Return Values

Returns the database response.

### Changelog

Version | Description
--- | ---
1.2.11 | Emits `E_DEPRECATED` when used.